Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.ear.descriptor
[Java] Interface EarSecurityRole

    public interface EarSecurityRole

A security-role element in a deployment descriptor like application.xml.

Method Summary
`String` | `getDescription()` A description of the security role.
`String` | `getRoleName()` The name of the security role.
`void` | `setDescription(String description)`
`void` | `setRoleName(String roleName)`

Method Detail

### getDescription

    public String getDescription()

  A description of the security role. Optional.

### getRoleName

    public String getRoleName()

  The name of the security role. Required.

### setDescription

    public void setDescription(String description)

### setRoleName

    public void setRoleName(String roleName)

Gradle API 1.10